From c44c53b90dbe66800edd56dd66c5ef4f7b9c80d0 Mon Sep 17 00:00:00 2001
From: Spencer Burris <whiteph@protonmail.com>
Date: Sun, 16 Jun 2019 14:03:27 -0700
Subject: [PATCH] wicd: add patch to prevent IndexError in curses interface

---
 srcpkgs/wicd/patches/wicd-1421918.patch | 16 ++++++++++++++++
 srcpkgs/wicd/template                   |  8 ++++----
 2 files changed, 20 insertions(+), 4 deletions(-)
 create mode 100644 srcpkgs/wicd/patches/wicd-1421918.patch

diff --git a/srcpkgs/wicd/patches/wicd-1421918.patch b/srcpkgs/wicd/patches/wicd-1421918.patch
new file mode 100644
index 00000000000..f855ec5b1cc
--- /dev/null
+++ b/srcpkgs/wicd/patches/wicd-1421918.patch
@@ -0,0 +1,16 @@
+=== modified file 'curses/wicd-curses.py'
+--- curses/wicd-curses.py	2014-12-21 16:57:33 +0000
++++ curses/wicd-curses.py	2015-02-24 23:41:01 +0000
+@@ -532,7 +532,10 @@
+     def get_selected_profile(self):
+         """Get the selected wired profile"""
+         loc = self.get_focus()[1]
+-        return self.theList[loc]
++        if len(self.theList) > loc:
++            return self.theList[loc]
++        else:
++            return self.theList[-1]
+ 
+ 
+ class AdHocDialog(Dialog2):
+
diff --git a/srcpkgs/wicd/template b/srcpkgs/wicd/template
index be807585983..447483a00c6 100644
--- a/srcpkgs/wicd/template
+++ b/srcpkgs/wicd/template
@@ -1,20 +1,20 @@
 # Template file for 'wicd'
 pkgname=wicd
 version=1.7.4
-revision=3
+revision=4
 archs=noarch
+pycompile_module="wicd"
+pycompile_dirs="usr/lib/wicd usr/share/wicd"
 hostmakedepends="python python-setuptools python-Babel"
 depends="dbus-glib dhcpcd ethtool net-tools python-dbus python-gobject2 python-urwid
  util-linux wireless_tools wpa_supplicant"
-pycompile_module="wicd"
-pycompile_dirs="usr/lib/wicd usr/share/wicd"
 conf_files="
 	/etc/dbus-1/system.d/wicd.conf
 	/etc/wicd/encryption/templates/active"
 short_desc="Open source wired and wireless network manager"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
-homepage="http://wicd.sourceforge.net"
 license="GPL-2"
+homepage="http://wicd.sourceforge.net"
 distfiles="http://launchpad.net/wicd/1.7/${version}/+download/wicd-${version}.tar.gz"
 checksum=67989614004773db349791c37675efb914d084bdb221356a05e4369c35e7eb62
 
